<Type Name="NpgsqlNotificationEventArgs" FullName="Npgsql.NpgsqlNotificationEventArgs">
  <TypeSignature Language="C#" Value="public class NpgsqlNotificationEventArgs : System.EventArgs" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>Npgsql</AssemblyName>
    <AssemblyPublicKey>
    </AssemblyPublicKey>
    <AssemblyVersion>0.6.0.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes />
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details.</ThreadSafetyStatement>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.EventArgs</BaseTypeName>
  </Base>
  <Interfaces />
  <Attributes />
  <Members>
    <Member MemberName="PID">
      <MemberSignature Language="C#" Value="public int PID;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters>
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Condition">
      <MemberSignature Language="C#" Value="public string Condition;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Parameters>
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public NpgsqlNotificationEventArgs (int nPID, string nCondition);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
        <Parameter Name="nPID" Type="System.Int32" />
        <Parameter Name="nCondition" Type="System.String" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="nPID">a <see cref="T:System.Int32" /></param>
        <param name="nCondition">a <see cref="T:System.String" /></param>
        <returns>a <see cref="T:Npgsql.NpgsqlNotificationEventArgs" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>